---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: tgui::Tab Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacetgui.html">tgui</a></li><li class="navelem"><a class="el" href="classtgui_1_1Tab.html">Tab</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="classtgui_1_1Tab-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">tgui::Tab Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a class="el" href="classtgui_1_1Tab.html" title="Tab widget. ">Tab</a> widget.  
 <a href="classtgui_1_1Tab.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="Tab_8hpp_source.html">Tab.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for tgui::Tab:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classtgui_1_1Tab.png" usemap="#tgui::Tab_map" alt=""/>
  <map id="tgui::Tab_map" name="tgui::Tab_map">
<area href="classtgui_1_1Widget.html" title="The parent class for every widget. " alt="tgui::Widget" shape="rect" coords="372,56,610,80"/>
<area href="classtgui_1_1Transformable.html" alt="tgui::Transformable" shape="rect" coords="248,0,486,24"/>
<area href="classtgui_1_1SignalWidgetBase.html" title="Base class for widgets to enable signal handling. " alt="tgui::SignalWidgetBase" shape="rect" coords="496,0,734,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:ab84d395742e1b0f4eb576a9e0e030087"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab84d395742e1b0f4eb576a9e0e030087"></a>
typedef std::shared_ptr&lt; <a class="el" href="classtgui_1_1Tab.html">Tab</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Tab.html#ab84d395742e1b0f4eb576a9e0e030087">Ptr</a></td></tr>
<tr class="memdesc:ab84d395742e1b0f4eb576a9e0e030087"><td class="mdescLeft">&#160;</td><td class="mdescRight">Shared widget pointer. <br /></td></tr>
<tr class="separator:ab84d395742e1b0f4eb576a9e0e030087"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9971b145a402f8dc201122a8454e8d3b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9971b145a402f8dc201122a8454e8d3b"></a>
typedef std::shared_ptr&lt; const <a class="el" href="classtgui_1_1Tab.html">Tab</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Tab.html#a9971b145a402f8dc201122a8454e8d3b">ConstPtr</a></td></tr>
<tr class="memdesc:a9971b145a402f8dc201122a8454e8d3b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Shared constant widget pointer. <br /></td></tr>
<tr class="separator:a9971b145a402f8dc201122a8454e8d3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_types_classtgui_1_1Widget"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classtgui_1_1Widget')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td></tr>
<tr class="memitem:a388912f13898735531886bc676b14f81 inherit pub_types_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a388912f13898735531886bc676b14f81"></a>
typedef std::shared_ptr&lt; <a class="el" href="classtgui_1_1Widget.html">Widget</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Ptr</a></td></tr>
<tr class="memdesc:a388912f13898735531886bc676b14f81 inherit pub_types_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Shared widget pointer. <br /></td></tr>
<tr class="separator:a388912f13898735531886bc676b14f81 inherit pub_types_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeaa9564fad89042e53af59e7a0063b1f inherit pub_types_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aeaa9564fad89042e53af59e7a0063b1f"></a>
typedef std::shared_ptr&lt; const <a class="el" href="classtgui_1_1Widget.html">Widget</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#aeaa9564fad89042e53af59e7a0063b1f">ConstPtr</a></td></tr>
<tr class="memdesc:aeaa9564fad89042e53af59e7a0063b1f inherit pub_types_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Shared constant widget pointer. <br /></td></tr>
<tr class="separator:aeaa9564fad89042e53af59e7a0063b1f inherit pub_types_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a0b6d427700a745d7b5a756936e1c2fd3"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classtgui_1_1TabRenderer.html">TabRenderer</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Tab.html#a0b6d427700a745d7b5a756936e1c2fd3">getRenderer</a> () const </td></tr>
<tr class="memdesc:a0b6d427700a745d7b5a756936e1c2fd3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the renderer, which gives access to functions that determine how the widget is displayed.  <a href="#a0b6d427700a745d7b5a756936e1c2fd3">More...</a><br /></td></tr>
<tr class="separator:a0b6d427700a745d7b5a756936e1c2fd3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af51601a1692dce56e32490db53249427"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Tab.html#af51601a1692dce56e32490db53249427">setPosition</a> (const <a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a> &amp;position) override</td></tr>
<tr class="memdesc:af51601a1692dce56e32490db53249427"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the position of the widget.  <a href="#af51601a1692dce56e32490db53249427">More...</a><br /></td></tr>
<tr class="separator:af51601a1692dce56e32490db53249427"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af18ffe805d49b6bda67268e4343f0bd4"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Tab.html#af18ffe805d49b6bda67268e4343f0bd4">setSize</a> (const <a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a> &amp;size) override</td></tr>
<tr class="memdesc:af18ffe805d49b6bda67268e4343f0bd4"><td class="mdescLeft">&#160;</td><td class="mdescRight">This function currently does nothing.  <a href="#af18ffe805d49b6bda67268e4343f0bd4">More...</a><br /></td></tr>
<tr class="separator:af18ffe805d49b6bda67268e4343f0bd4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af84d02e59ec7864c2bc3103dbc0e463f"><td class="memItemLeft" align="right" valign="top">virtual sf::Vector2f&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Tab.html#af84d02e59ec7864c2bc3103dbc0e463f">getSize</a> () const  override</td></tr>
<tr class="memdesc:af84d02e59ec7864c2bc3103dbc0e463f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the size of the tabs.  <a href="#af84d02e59ec7864c2bc3103dbc0e463f">More...</a><br /></td></tr>
<tr class="separator:af84d02e59ec7864c2bc3103dbc0e463f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20d0a37af4d2af70bf1b2bcd93178ead"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Tab.html#a20d0a37af4d2af70bf1b2bcd93178ead">setFont</a> (const <a class="el" href="classtgui_1_1Font.html">Font</a> &amp;font) override</td></tr>
<tr class="memdesc:a20d0a37af4d2af70bf1b2bcd93178ead"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the font of the text in the widget.  <a href="#a20d0a37af4d2af70bf1b2bcd93178ead">More...</a><br /></td></tr>
<tr class="separator:a20d0a37af4d2af70bf1b2bcd93178ead"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76db7686dc3566c993da9a903e660bfd"><td class="memItemLeft" align="right" valign="top">std::size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Tab.html#a76db7686dc3566c993da9a903e660bfd">add</a> (const sf::String &amp;text, bool <a class="el" href="classtgui_1_1Tab.html#a33ce9eaaa8ffe9cb4441902d82c6c9a9">select</a>=true)</td></tr>
<tr class="memdesc:a76db7686dc3566c993da9a903e660bfd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Adds a new tab.  <a href="#a76db7686dc3566c993da9a903e660bfd">More...</a><br /></td></tr>
<tr class="separator:a76db7686dc3566c993da9a903e660bfd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a080aba34cae9fe00b2cc484e812090ce"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Tab.html#a080aba34cae9fe00b2cc484e812090ce">insert</a> (std::size_t index, const sf::String &amp;text, bool <a class="el" href="classtgui_1_1Tab.html#a33ce9eaaa8ffe9cb4441902d82c6c9a9">select</a>=true)</td></tr>
<tr class="memdesc:a080aba34cae9fe00b2cc484e812090ce"><td class="mdescLeft">&#160;</td><td class="mdescRight">Insert a new tab somewhere between the other tabs.  <a href="#a080aba34cae9fe00b2cc484e812090ce">More...</a><br /></td></tr>
<tr class="separator:a080aba34cae9fe00b2cc484e812090ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e12f6d5a9bdebd654061f89c1512bcd"><td class="memItemLeft" align="right" valign="top">sf::String&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Tab.html#a0e12f6d5a9bdebd654061f89c1512bcd">getText</a> (std::size_t index) const </td></tr>
<tr class="memdesc:a0e12f6d5a9bdebd654061f89c1512bcd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the text of one of the tabs.  <a href="#a0e12f6d5a9bdebd654061f89c1512bcd">More...</a><br /></td></tr>
<tr class="separator:a0e12f6d5a9bdebd654061f89c1512bcd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5e1a9b17902a659f3550ae069d1e0c2"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Tab.html#ac5e1a9b17902a659f3550ae069d1e0c2">changeText</a> (std::size_t index, const sf::String &amp;text)</td></tr>
<tr class="memdesc:ac5e1a9b17902a659f3550ae069d1e0c2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Change the text of one of the tabs.  <a href="#ac5e1a9b17902a659f3550ae069d1e0c2">More...</a><br /></td></tr>
<tr class="separator:ac5e1a9b17902a659f3550ae069d1e0c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a33ce9eaaa8ffe9cb4441902d82c6c9a9"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Tab.html#a33ce9eaaa8ffe9cb4441902d82c6c9a9">select</a> (const sf::String &amp;text)</td></tr>
<tr class="memdesc:a33ce9eaaa8ffe9cb4441902d82c6c9a9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Selects the tab with a given text.  <a href="#a33ce9eaaa8ffe9cb4441902d82c6c9a9">More...</a><br /></td></tr>
<tr class="separator:a33ce9eaaa8ffe9cb4441902d82c6c9a9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7db6d7ed784fa2c151c99d12e80c2a2c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Tab.html#a7db6d7ed784fa2c151c99d12e80c2a2c">select</a> (std::size_t index)</td></tr>
<tr class="memdesc:a7db6d7ed784fa2c151c99d12e80c2a2c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Selects the tab with a given index.  <a href="#a7db6d7ed784fa2c151c99d12e80c2a2c">More...</a><br /></td></tr>
<tr class="separator:a7db6d7ed784fa2c151c99d12e80c2a2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba82c00981d157a0ae0779c6200abf43"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aba82c00981d157a0ae0779c6200abf43"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Tab.html#aba82c00981d157a0ae0779c6200abf43">deselect</a> ()</td></tr>
<tr class="memdesc:aba82c00981d157a0ae0779c6200abf43"><td class="mdescLeft">&#160;</td><td class="mdescRight">Deselects the selected tab. <br /></td></tr>
<tr class="separator:aba82c00981d157a0ae0779c6200abf43"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62984df9a422ecfffde3936341e6fd5e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Tab.html#a62984df9a422ecfffde3936341e6fd5e">remove</a> (const sf::String &amp;text)</td></tr>
<tr class="memdesc:a62984df9a422ecfffde3936341e6fd5e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Removes a tab with a given text.  <a href="#a62984df9a422ecfffde3936341e6fd5e">More...</a><br /></td></tr>
<tr class="separator:a62984df9a422ecfffde3936341e6fd5e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86e01a09bb1eaf6cf50fe32c6ad2067a"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Tab.html#a86e01a09bb1eaf6cf50fe32c6ad2067a">remove</a> (std::size_t index)</td></tr>
<tr class="memdesc:a86e01a09bb1eaf6cf50fe32c6ad2067a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Removes a tab with a given index.  <a href="#a86e01a09bb1eaf6cf50fe32c6ad2067a">More...</a><br /></td></tr>
<tr class="separator:a86e01a09bb1eaf6cf50fe32c6ad2067a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae769ce06da343cd93e48dcbbd24b6f2b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ae769ce06da343cd93e48dcbbd24b6f2b"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Tab.html#ae769ce06da343cd93e48dcbbd24b6f2b">removeAll</a> ()</td></tr>
<tr class="memdesc:ae769ce06da343cd93e48dcbbd24b6f2b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Removes all tabs. <br /></td></tr>
<tr class="separator:ae769ce06da343cd93e48dcbbd24b6f2b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc201a2c0a1241a93b79795bc0fce713"><td class="memItemLeft" align="right" valign="top">sf::String&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Tab.html#afc201a2c0a1241a93b79795bc0fce713">getSelected</a> () const </td></tr>
<tr class="memdesc:afc201a2c0a1241a93b79795bc0fce713"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the text that is drawn on the currently selected tab.  <a href="#afc201a2c0a1241a93b79795bc0fce713">More...</a><br /></td></tr>
<tr class="separator:afc201a2c0a1241a93b79795bc0fce713"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60a2c2051801ddceb003d786ea22661c"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Tab.html#a60a2c2051801ddceb003d786ea22661c">getSelectedIndex</a> () const </td></tr>
<tr class="memdesc:a60a2c2051801ddceb003d786ea22661c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the index of the currently selected tab.  <a href="#a60a2c2051801ddceb003d786ea22661c">More...</a><br /></td></tr>
<tr class="separator:a60a2c2051801ddceb003d786ea22661c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8062b3c62d96a190bc3e88a25e65412b"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Tab.html#a8062b3c62d96a190bc3e88a25e65412b">setTextSize</a> (unsigned int size)</td></tr>
<tr class="memdesc:a8062b3c62d96a190bc3e88a25e65412b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the character size of the text.  <a href="#a8062b3c62d96a190bc3e88a25e65412b">More...</a><br /></td></tr>
<tr class="separator:a8062b3c62d96a190bc3e88a25e65412b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:affb8c7ab007f3b322e72a7492c0c7d0c"><td class="memItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Tab.html#affb8c7ab007f3b322e72a7492c0c7d0c">getTextSize</a> () const </td></tr>
<tr class="memdesc:affb8c7ab007f3b322e72a7492c0c7d0c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the character size of the text.  <a href="#affb8c7ab007f3b322e72a7492c0c7d0c">More...</a><br /></td></tr>
<tr class="separator:affb8c7ab007f3b322e72a7492c0c7d0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a86006de1eac88157d2f6dad3e35ad939"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Tab.html#a86006de1eac88157d2f6dad3e35ad939">setTabHeight</a> (float height)</td></tr>
<tr class="memdesc:a86006de1eac88157d2f6dad3e35ad939"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the height of the tabs.  <a href="#a86006de1eac88157d2f6dad3e35ad939">More...</a><br /></td></tr>
<tr class="separator:a86006de1eac88157d2f6dad3e35ad939"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30952836afebeb963af9c4cc0cbb9d67"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Tab.html#a30952836afebeb963af9c4cc0cbb9d67">getTabHeight</a> () const </td></tr>
<tr class="memdesc:a30952836afebeb963af9c4cc0cbb9d67"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the height of the tabs.  <a href="#a30952836afebeb963af9c4cc0cbb9d67">More...</a><br /></td></tr>
<tr class="separator:a30952836afebeb963af9c4cc0cbb9d67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a30d0620c1398cbaa96dd177328260f15"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Tab.html#a30d0620c1398cbaa96dd177328260f15">setMaximumTabWidth</a> (float maximumWidth)</td></tr>
<tr class="memdesc:a30d0620c1398cbaa96dd177328260f15"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the maximum tab width of the tabs.  <a href="#a30d0620c1398cbaa96dd177328260f15">More...</a><br /></td></tr>
<tr class="separator:a30d0620c1398cbaa96dd177328260f15"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a597555cd1399cfa556986c0669801583"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Tab.html#a597555cd1399cfa556986c0669801583">getMaximumTabWidth</a> () const </td></tr>
<tr class="memdesc:a597555cd1399cfa556986c0669801583"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the maximum tab width of the tabs.  <a href="#a597555cd1399cfa556986c0669801583">More...</a><br /></td></tr>
<tr class="separator:a597555cd1399cfa556986c0669801583"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f08cf18df3584bc0927e39ed0498724"><td class="memItemLeft" align="right" valign="top">std::size_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Tab.html#a5f08cf18df3584bc0927e39ed0498724">getTabsCount</a> () const </td></tr>
<tr class="memdesc:a5f08cf18df3584bc0927e39ed0498724"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the amount of tabs.  <a href="#a5f08cf18df3584bc0927e39ed0498724">More...</a><br /></td></tr>
<tr class="separator:a5f08cf18df3584bc0927e39ed0498724"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a79f50d4469aadb318e3e156ccaef087c"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Tab.html#a79f50d4469aadb318e3e156ccaef087c">setOpacity</a> (float opacity) override</td></tr>
<tr class="memdesc:a79f50d4469aadb318e3e156ccaef087c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the opacity of the widget.  <a href="#a79f50d4469aadb318e3e156ccaef087c">More...</a><br /></td></tr>
<tr class="separator:a79f50d4469aadb318e3e156ccaef087c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3d178cdc8b07d9dfb05411773de21c08"><td class="memItemLeft" align="right" valign="top">virtual sf::Vector2f&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Tab.html#a3d178cdc8b07d9dfb05411773de21c08">getWidgetOffset</a> () const  override</td></tr>
<tr class="memdesc:a3d178cdc8b07d9dfb05411773de21c08"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the distance between the position where the widget is drawn and where the widget is placed.  <a href="#a3d178cdc8b07d9dfb05411773de21c08">More...</a><br /></td></tr>
<tr class="separator:a3d178cdc8b07d9dfb05411773de21c08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classtgui_1_1Widget"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classtgui_1_1Widget')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td></tr>
<tr class="memitem:a60c5722d15d0733f6743bf57c86d1c6a inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a60c5722d15d0733f6743bf57c86d1c6a"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a60c5722d15d0733f6743bf57c86d1c6a">Widget</a> ()</td></tr>
<tr class="memdesc:a60c5722d15d0733f6743bf57c86d1c6a inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default constructor. <br /></td></tr>
<tr class="separator:a60c5722d15d0733f6743bf57c86d1c6a inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a662b5e56609f23b2bbff81cbaa5787e2 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a662b5e56609f23b2bbff81cbaa5787e2">Widget</a> (const <a class="el" href="classtgui_1_1Widget.html">Widget</a> &amp;copy)</td></tr>
<tr class="memdesc:a662b5e56609f23b2bbff81cbaa5787e2 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Copy constructor.  <a href="#a662b5e56609f23b2bbff81cbaa5787e2">More...</a><br /></td></tr>
<tr class="separator:a662b5e56609f23b2bbff81cbaa5787e2 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af34221ef4742371e8f7e2c40a8881404 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af34221ef4742371e8f7e2c40a8881404"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#af34221ef4742371e8f7e2c40a8881404">~Widget</a> ()</td></tr>
<tr class="memdesc:af34221ef4742371e8f7e2c40a8881404 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor. <br /></td></tr>
<tr class="separator:af34221ef4742371e8f7e2c40a8881404 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97362423551dca5b90e86fc63ddc3eca inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtgui_1_1Widget.html">Widget</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a97362423551dca5b90e86fc63ddc3eca">operator=</a> (const <a class="el" href="classtgui_1_1Widget.html">Widget</a> &amp;right)</td></tr>
<tr class="memdesc:a97362423551dca5b90e86fc63ddc3eca inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Overload of assignment operator.  <a href="#a97362423551dca5b90e86fc63ddc3eca">More...</a><br /></td></tr>
<tr class="separator:a97362423551dca5b90e86fc63ddc3eca inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6d296b4082518366caeb0d3101d0320f inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classtgui_1_1WidgetRenderer.html">WidgetRenderer</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a6d296b4082518366caeb0d3101d0320f">getRenderer</a> () const </td></tr>
<tr class="memdesc:a6d296b4082518366caeb0d3101d0320f inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the renderer, which gives access to functions that determine how the widget is displayed.  <a href="#a6d296b4082518366caeb0d3101d0320f">More...</a><br /></td></tr>
<tr class="separator:a6d296b4082518366caeb0d3101d0320f inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a59112dbb748fa92647ef86b823c227f1 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">virtual sf::Vector2f&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a59112dbb748fa92647ef86b823c227f1">getAbsolutePosition</a> () const </td></tr>
<tr class="memdesc:a59112dbb748fa92647ef86b823c227f1 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the absolute position of the widget instead of the relative position to its parent.  <a href="#a59112dbb748fa92647ef86b823c227f1">More...</a><br /></td></tr>
<tr class="separator:a59112dbb748fa92647ef86b823c227f1 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae3881afdad82cf8c2bd12f36238c04fe inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#ae3881afdad82cf8c2bd12f36238c04fe">show</a> ()</td></tr>
<tr class="memdesc:ae3881afdad82cf8c2bd12f36238c04fe inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Shows the widget.  <a href="#ae3881afdad82cf8c2bd12f36238c04fe">More...</a><br /></td></tr>
<tr class="separator:ae3881afdad82cf8c2bd12f36238c04fe inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a71432e6c38c2110991cd3856cf74670b inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a71432e6c38c2110991cd3856cf74670b">showWithEffect</a> (<a class="el" href="namespacetgui.html#ae5f90d6756ae21ba5dd08f84138437da">ShowAnimationType</a> type, sf::Time duration)</td></tr>
<tr class="memdesc:a71432e6c38c2110991cd3856cf74670b inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Shows the widget by introducing it with an animation.  <a href="#a71432e6c38c2110991cd3856cf74670b">More...</a><br /></td></tr>
<tr class="separator:a71432e6c38c2110991cd3856cf74670b inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4234b30173259e7b5082a58a9f0e2ca6 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a4234b30173259e7b5082a58a9f0e2ca6">hide</a> ()</td></tr>
<tr class="memdesc:a4234b30173259e7b5082a58a9f0e2ca6 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Hides the widget.  <a href="#a4234b30173259e7b5082a58a9f0e2ca6">More...</a><br /></td></tr>
<tr class="separator:a4234b30173259e7b5082a58a9f0e2ca6 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9bcb2d85d7e449ef7305771256ec79bf inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a9bcb2d85d7e449ef7305771256ec79bf">hideWithEffect</a> (<a class="el" href="namespacetgui.html#ae5f90d6756ae21ba5dd08f84138437da">ShowAnimationType</a> type, sf::Time duration)</td></tr>
<tr class="memdesc:a9bcb2d85d7e449ef7305771256ec79bf inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Hides the widget by making it leave with an animation.  <a href="#a9bcb2d85d7e449ef7305771256ec79bf">More...</a><br /></td></tr>
<tr class="separator:a9bcb2d85d7e449ef7305771256ec79bf inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac30d0e386c262c5e830fdcc994584993 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#ac30d0e386c262c5e830fdcc994584993">isVisible</a> () const </td></tr>
<tr class="memdesc:ac30d0e386c262c5e830fdcc994584993 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true when the widget is visible.  <a href="#ac30d0e386c262c5e830fdcc994584993">More...</a><br /></td></tr>
<tr class="separator:ac30d0e386c262c5e830fdcc994584993 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f4ded5b008224a33623171ad2558168 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a8f4ded5b008224a33623171ad2558168">enable</a> ()</td></tr>
<tr class="memdesc:a8f4ded5b008224a33623171ad2558168 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enables the widget.  <a href="#a8f4ded5b008224a33623171ad2558168">More...</a><br /></td></tr>
<tr class="separator:a8f4ded5b008224a33623171ad2558168 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a41615622bd4eb42fee629dd408bce7d4 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a41615622bd4eb42fee629dd408bce7d4">disable</a> (bool blockMouseEvents=true)</td></tr>
<tr class="memdesc:a41615622bd4eb42fee629dd408bce7d4 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disables the widget.  <a href="#a41615622bd4eb42fee629dd408bce7d4">More...</a><br /></td></tr>
<tr class="separator:a41615622bd4eb42fee629dd408bce7d4 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af6770fc71c644b645bf28f31c4efd2d1 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#af6770fc71c644b645bf28f31c4efd2d1">isEnabled</a> () const </td></tr>
<tr class="memdesc:af6770fc71c644b645bf28f31c4efd2d1 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true when the widget is enabled.  <a href="#af6770fc71c644b645bf28f31c4efd2d1">More...</a><br /></td></tr>
<tr class="separator:af6770fc71c644b645bf28f31c4efd2d1 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a826330401141b9946307a5f4e3d1e988 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a826330401141b9946307a5f4e3d1e988">focus</a> ()</td></tr>
<tr class="memdesc:a826330401141b9946307a5f4e3d1e988 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Focus the widget.  <a href="#a826330401141b9946307a5f4e3d1e988">More...</a><br /></td></tr>
<tr class="separator:a826330401141b9946307a5f4e3d1e988 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afc53e1f70feeeb498c042d7d741528c9 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#afc53e1f70feeeb498c042d7d741528c9">unfocus</a> ()</td></tr>
<tr class="memdesc:afc53e1f70feeeb498c042d7d741528c9 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Unfocus the widget.  <a href="#afc53e1f70feeeb498c042d7d741528c9">More...</a><br /></td></tr>
<tr class="separator:afc53e1f70feeeb498c042d7d741528c9 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af9a2f1246195375dea450655b23cdf6d inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#af9a2f1246195375dea450655b23cdf6d">isFocused</a> () const </td></tr>
<tr class="memdesc:af9a2f1246195375dea450655b23cdf6d inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns true when the widget is focused and false otherwise.  <a href="#af9a2f1246195375dea450655b23cdf6d">More...</a><br /></td></tr>
<tr class="separator:af9a2f1246195375dea450655b23cdf6d inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a52f98861e54bde43ccab0abe5733bfff inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">const std::string &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a52f98861e54bde43ccab0abe5733bfff">getWidgetType</a> () const </td></tr>
<tr class="memdesc:a52f98861e54bde43ccab0abe5733bfff inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the type of the widget.  <a href="#a52f98861e54bde43ccab0abe5733bfff">More...</a><br /></td></tr>
<tr class="separator:a52f98861e54bde43ccab0abe5733bfff inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0cf4e57ff28230753afe8197e8945a3a inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtgui_1_1Container.html">Container</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a0cf4e57ff28230753afe8197e8945a3a">getParent</a> () const </td></tr>
<tr class="memdesc:a0cf4e57ff28230753afe8197e8945a3a inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns a pointer to the parent widget.  <a href="#a0cf4e57ff28230753afe8197e8945a3a">More...</a><br /></td></tr>
<tr class="separator:a0cf4e57ff28230753afe8197e8945a3a inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7ab7b54eb87d1c7b28ad36fa5a8281ec inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a7ab7b54eb87d1c7b28ad36fa5a8281ec">getOpacity</a> () const </td></tr>
<tr class="memdesc:a7ab7b54eb87d1c7b28ad36fa5a8281ec inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the opacity of the widget.  <a href="#a7ab7b54eb87d1c7b28ad36fa5a8281ec">More...</a><br /></td></tr>
<tr class="separator:a7ab7b54eb87d1c7b28ad36fa5a8281ec inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a98fd0f08b45e3e54b9054965060136dd inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a98fd0f08b45e3e54b9054965060136dd"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a98fd0f08b45e3e54b9054965060136dd">moveToFront</a> ()</td></tr>
<tr class="memdesc:a98fd0f08b45e3e54b9054965060136dd inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Places the widget before all other widgets. <br /></td></tr>
<tr class="separator:a98fd0f08b45e3e54b9054965060136dd inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15e7d3570551c72d9a4d9534ac7a7f19 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a15e7d3570551c72d9a4d9534ac7a7f19"></a>
virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a15e7d3570551c72d9a4d9534ac7a7f19">moveToBack</a> ()</td></tr>
<tr class="memdesc:a15e7d3570551c72d9a4d9534ac7a7f19 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Places the widget behind all other widgets. <br /></td></tr>
<tr class="separator:a15e7d3570551c72d9a4d9534ac7a7f19 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4f30ef364bf7594ec209688a9b43ec5 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#ae4f30ef364bf7594ec209688a9b43ec5">setToolTip</a> (<a class="el" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a> toolTip)</td></tr>
<tr class="memdesc:ae4f30ef364bf7594ec209688a9b43ec5 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets the tool tip that should be displayed when hovering over the widget.  <a href="#ae4f30ef364bf7594ec209688a9b43ec5">More...</a><br /></td></tr>
<tr class="separator:ae4f30ef364bf7594ec209688a9b43ec5 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0e6e54fbaba931d0bb8eb0404e2e1c22 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a0e6e54fbaba931d0bb8eb0404e2e1c22">getToolTip</a> ()</td></tr>
<tr class="memdesc:a0e6e54fbaba931d0bb8eb0404e2e1c22 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the tool tip that is displayed when hovering over the widget.  <a href="#a0e6e54fbaba931d0bb8eb0404e2e1c22">More...</a><br /></td></tr>
<tr class="separator:a0e6e54fbaba931d0bb8eb0404e2e1c22 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec2d0dec0156536b93216797de49b497 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; sf::Font &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#aec2d0dec0156536b93216797de49b497">getFont</a> () const </td></tr>
<tr class="memdesc:aec2d0dec0156536b93216797de49b497 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the font associated with the widget (if any)  <a href="#aec2d0dec0156536b93216797de49b497">More...</a><br /></td></tr>
<tr class="separator:aec2d0dec0156536b93216797de49b497 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a62bbecb4ba75342b22786502e5383ac5 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a62bbecb4ba75342b22786502e5383ac5">detachTheme</a> ()</td></tr>
<tr class="memdesc:a62bbecb4ba75342b22786502e5383ac5 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Detach the theme from the widget.  <a href="#a62bbecb4ba75342b22786502e5383ac5">More...</a><br /></td></tr>
<tr class="separator:a62bbecb4ba75342b22786502e5383ac5 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5bb8483e23d877c386d632ca7ca2879 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">std::shared_ptr&lt; <a class="el" href="classtgui_1_1BaseTheme.html">BaseTheme</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#ab5bb8483e23d877c386d632ca7ca2879">getTheme</a> () const </td></tr>
<tr class="memdesc:ab5bb8483e23d877c386d632ca7ca2879 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the theme to which the widget is currently connected.  <a href="#ab5bb8483e23d877c386d632ca7ca2879">More...</a><br /></td></tr>
<tr class="separator:ab5bb8483e23d877c386d632ca7ca2879 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa32ce148343fd2a0f59d6dbcc3028883 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#aa32ce148343fd2a0f59d6dbcc3028883">getPrimaryLoadingParameter</a> () const </td></tr>
<tr class="memdesc:aa32ce148343fd2a0f59d6dbcc3028883 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the primary parameter that was passed to the loader to load this widget.  <a href="#aa32ce148343fd2a0f59d6dbcc3028883">More...</a><br /></td></tr>
<tr class="separator:aa32ce148343fd2a0f59d6dbcc3028883 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a97e7325f223c7c49105b3b859542b652 inherit pub_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a97e7325f223c7c49105b3b859542b652">getSecondaryLoadingParameter</a> () const </td></tr>
<tr class="memdesc:a97e7325f223c7c49105b3b859542b652 inherit pub_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the secondary parameter that was passed to the loader to load this widget.  <a href="#a97e7325f223c7c49105b3b859542b652">More...</a><br /></td></tr>
<tr class="separator:a97e7325f223c7c49105b3b859542b652 inherit pub_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classtgui_1_1Transformable"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classtgui_1_1Transformable')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classtgui_1_1Transformable.html">tgui::Transformable</a></td></tr>
<tr class="memitem:a98900d9b8ec4166e5127532bfbd5cc59 inherit pub_methods_classtgui_1_1Transformable"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a98900d9b8ec4166e5127532bfbd5cc59"></a>
virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Transformable.html#a98900d9b8ec4166e5127532bfbd5cc59">~Transformable</a> ()</td></tr>
<tr class="memdesc:a98900d9b8ec4166e5127532bfbd5cc59 inherit pub_methods_classtgui_1_1Transformable"><td class="mdescLeft">&#160;</td><td class="mdescRight">Virtual destructor. <br /></td></tr>
<tr class="separator:a98900d9b8ec4166e5127532bfbd5cc59 inherit pub_methods_classtgui_1_1Transformable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e34aa4c19ae95ed71052c6409d8fbcc inherit pub_methods_classtgui_1_1Transformable"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Transformable.html#a9e34aa4c19ae95ed71052c6409d8fbcc">setPosition</a> (const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;x, const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;y)</td></tr>
<tr class="memdesc:a9e34aa4c19ae95ed71052c6409d8fbcc inherit pub_methods_classtgui_1_1Transformable"><td class="mdescLeft">&#160;</td><td class="mdescRight">set the position of the widget  <a href="#a9e34aa4c19ae95ed71052c6409d8fbcc">More...</a><br /></td></tr>
<tr class="separator:a9e34aa4c19ae95ed71052c6409d8fbcc inherit pub_methods_classtgui_1_1Transformable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2429a2ff2f3f83b702f20b4a8a0257dc inherit pub_methods_classtgui_1_1Transformable"><td class="memItemLeft" align="right" valign="top">sf::Vector2f&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Transformable.html#a2429a2ff2f3f83b702f20b4a8a0257dc">getPosition</a> () const </td></tr>
<tr class="memdesc:a2429a2ff2f3f83b702f20b4a8a0257dc inherit pub_methods_classtgui_1_1Transformable"><td class="mdescLeft">&#160;</td><td class="mdescRight">get the position of the widget  <a href="#a2429a2ff2f3f83b702f20b4a8a0257dc">More...</a><br /></td></tr>
<tr class="separator:a2429a2ff2f3f83b702f20b4a8a0257dc inherit pub_methods_classtgui_1_1Transformable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff5580e6c49ade969ba71ea1c1330d2b inherit pub_methods_classtgui_1_1Transformable"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Transformable.html#aff5580e6c49ade969ba71ea1c1330d2b">move</a> (const <a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a> &amp;offset)</td></tr>
<tr class="memdesc:aff5580e6c49ade969ba71ea1c1330d2b inherit pub_methods_classtgui_1_1Transformable"><td class="mdescLeft">&#160;</td><td class="mdescRight">Move the widget by a given offset.  <a href="#aff5580e6c49ade969ba71ea1c1330d2b">More...</a><br /></td></tr>
<tr class="separator:aff5580e6c49ade969ba71ea1c1330d2b inherit pub_methods_classtgui_1_1Transformable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a792b77e86e9550b0b2c5912d4d7cebe5 inherit pub_methods_classtgui_1_1Transformable"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Transformable.html#a792b77e86e9550b0b2c5912d4d7cebe5">move</a> (const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;x, const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;y)</td></tr>
<tr class="memdesc:a792b77e86e9550b0b2c5912d4d7cebe5 inherit pub_methods_classtgui_1_1Transformable"><td class="mdescLeft">&#160;</td><td class="mdescRight">Move the widget by a given offset.  <a href="#a792b77e86e9550b0b2c5912d4d7cebe5">More...</a><br /></td></tr>
<tr class="separator:a792b77e86e9550b0b2c5912d4d7cebe5 inherit pub_methods_classtgui_1_1Transformable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3bae3322ba22993ca9eacad060e3215c inherit pub_methods_classtgui_1_1Transformable"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Transformable.html#a3bae3322ba22993ca9eacad060e3215c">setSize</a> (const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;width, const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;height)</td></tr>
<tr class="memdesc:a3bae3322ba22993ca9eacad060e3215c inherit pub_methods_classtgui_1_1Transformable"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes the size of the widget.  <a href="#a3bae3322ba22993ca9eacad060e3215c">More...</a><br /></td></tr>
<tr class="separator:a3bae3322ba22993ca9eacad060e3215c inherit pub_methods_classtgui_1_1Transformable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f11a7e9d86943a5cc8114b2431c1570 inherit pub_methods_classtgui_1_1Transformable"><td class="memItemLeft" align="right" valign="top">virtual sf::Vector2f&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Transformable.html#a4f11a7e9d86943a5cc8114b2431c1570">getFullSize</a> () const </td></tr>
<tr class="memdesc:a4f11a7e9d86943a5cc8114b2431c1570 inherit pub_methods_classtgui_1_1Transformable"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the entire size that the widget is using.  <a href="#a4f11a7e9d86943a5cc8114b2431c1570">More...</a><br /></td></tr>
<tr class="separator:a4f11a7e9d86943a5cc8114b2431c1570 inherit pub_methods_classtgui_1_1Transformable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15575698ad5b40c34bc8c945244ec4d8 inherit pub_methods_classtgui_1_1Transformable"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Transformable.html#a15575698ad5b40c34bc8c945244ec4d8">scale</a> (const <a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a> &amp;factors)</td></tr>
<tr class="memdesc:a15575698ad5b40c34bc8c945244ec4d8 inherit pub_methods_classtgui_1_1Transformable"><td class="mdescLeft">&#160;</td><td class="mdescRight">Scale the widget.  <a href="#a15575698ad5b40c34bc8c945244ec4d8">More...</a><br /></td></tr>
<tr class="separator:a15575698ad5b40c34bc8c945244ec4d8 inherit pub_methods_classtgui_1_1Transformable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a074f2ed8b35ede928678339b8f708b1c inherit pub_methods_classtgui_1_1Transformable"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Transformable.html#a074f2ed8b35ede928678339b8f708b1c">scale</a> (const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;x, const <a class="el" href="classtgui_1_1Layout.html">Layout</a> &amp;y)</td></tr>
<tr class="memdesc:a074f2ed8b35ede928678339b8f708b1c inherit pub_methods_classtgui_1_1Transformable"><td class="mdescLeft">&#160;</td><td class="mdescRight">Scale the widget.  <a href="#a074f2ed8b35ede928678339b8f708b1c">More...</a><br /></td></tr>
<tr class="separator:a074f2ed8b35ede928678339b8f708b1c inherit pub_methods_classtgui_1_1Transformable"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classtgui_1_1SignalWidgetBase"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classtgui_1_1SignalWidgetBase')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classtgui_1_1SignalWidgetBase.html">tgui::SignalWidgetBase</a></td></tr>
<tr class="memitem:ac37f925b9c8d2912db40050e59cb1bc8 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ac37f925b9c8d2912db40050e59cb1bc8"></a>
&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SignalWidgetBase.html#ac37f925b9c8d2912db40050e59cb1bc8">SignalWidgetBase</a> ()=default</td></tr>
<tr class="memdesc:ac37f925b9c8d2912db40050e59cb1bc8 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Default constructor. <br /></td></tr>
<tr class="separator:ac37f925b9c8d2912db40050e59cb1bc8 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a57a9f27b40ff6f51583a64333c83405d inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SignalWidgetBase.html#a57a9f27b40ff6f51583a64333c83405d">SignalWidgetBase</a> (const <a class="el" href="classtgui_1_1SignalWidgetBase.html">SignalWidgetBase</a> &amp;copy)</td></tr>
<tr class="memdesc:a57a9f27b40ff6f51583a64333c83405d inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Copy constructor.  <a href="#a57a9f27b40ff6f51583a64333c83405d">More...</a><br /></td></tr>
<tr class="separator:a57a9f27b40ff6f51583a64333c83405d inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a657777a2240d69c4be0cf52c977bea0f inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classtgui_1_1SignalWidgetBase.html">SignalWidgetBase</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SignalWidgetBase.html#a657777a2240d69c4be0cf52c977bea0f">operator=</a> (const <a class="el" href="classtgui_1_1SignalWidgetBase.html">SignalWidgetBase</a> &amp;right)</td></tr>
<tr class="memdesc:a657777a2240d69c4be0cf52c977bea0f inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Overload of assignment operator.  <a href="#a657777a2240d69c4be0cf52c977bea0f">More...</a><br /></td></tr>
<tr class="separator:a657777a2240d69c4be0cf52c977bea0f inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a310a997fdfb38e38688a6086832a95 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memTemplParams" colspan="2">template&lt;typename Func , typename... Args&gt; </td></tr>
<tr class="memitem:a3a310a997fdfb38e38688a6086832a95 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memTemplItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtgui_1_1SignalWidgetBase.html#a3a310a997fdfb38e38688a6086832a95">connect</a> (const std::string &amp;signalNames, Func func, Args...args)</td></tr>
<tr class="memdesc:a3a310a997fdfb38e38688a6086832a95 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Connects a signal handler function to one or more signals.  <a href="#a3a310a997fdfb38e38688a6086832a95">More...</a><br /></td></tr>
<tr class="separator:a3a310a997fdfb38e38688a6086832a95 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b0187cd74457415140526ba788504d1 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memTemplParams" colspan="2">template&lt;typename Func , typename... Args&gt; </td></tr>
<tr class="memitem:a9b0187cd74457415140526ba788504d1 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memTemplItemLeft" align="right" valign="top">unsigned int&#160;</td><td class="memTemplItemRight" valign="bottom"><a class="el" href="classtgui_1_1SignalWidgetBase.html#a9b0187cd74457415140526ba788504d1">connectEx</a> (const std::string &amp;signalName, Func func, Args...args)</td></tr>
<tr class="memdesc:a9b0187cd74457415140526ba788504d1 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Connects a signal handler function to one or more signals.  <a href="#a9b0187cd74457415140526ba788504d1">More...</a><br /></td></tr>
<tr class="separator:a9b0187cd74457415140526ba788504d1 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e13634d49560b2941ebdd2a934b6a16 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SignalWidgetBase.html#a9e13634d49560b2941ebdd2a934b6a16">disconnect</a> (unsigned int id)</td></tr>
<tr class="memdesc:a9e13634d49560b2941ebdd2a934b6a16 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disconnects a connection.  <a href="#a9e13634d49560b2941ebdd2a934b6a16">More...</a><br /></td></tr>
<tr class="separator:a9e13634d49560b2941ebdd2a934b6a16 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a262641681a20ba2c42b9879faf60f857 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SignalWidgetBase.html#a262641681a20ba2c42b9879faf60f857">disconnectAll</a> (const std::string &amp;signalName)</td></tr>
<tr class="memdesc:a262641681a20ba2c42b9879faf60f857 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disconnect all connections from a certain signal.  <a href="#a262641681a20ba2c42b9879faf60f857">More...</a><br /></td></tr>
<tr class="separator:a262641681a20ba2c42b9879faf60f857 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aee50efdbdbbc1be9418dfbc1549ee4f2 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aee50efdbdbbc1be9418dfbc1549ee4f2"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1SignalWidgetBase.html#aee50efdbdbbc1be9418dfbc1549ee4f2">disconnectAll</a> ()</td></tr>
<tr class="memdesc:aee50efdbdbbc1be9418dfbc1549ee4f2 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disconnect all connections from a all signals. <br /></td></tr>
<tr class="separator:aee50efdbdbbc1be9418dfbc1549ee4f2 inherit pub_methods_classtgui_1_1SignalWidgetBase"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr class="memitem:a7ce5509b4b294c394f010ab8b282b80c"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classtgui_1_1Tab.html#ab84d395742e1b0f4eb576a9e0e030087">Tab::Ptr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Tab.html#a7ce5509b4b294c394f010ab8b282b80c">create</a> ()</td></tr>
<tr class="memdesc:a7ce5509b4b294c394f010ab8b282b80c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates a new tabs widget.  <a href="#a7ce5509b4b294c394f010ab8b282b80c">More...</a><br /></td></tr>
<tr class="separator:a7ce5509b4b294c394f010ab8b282b80c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab57c053042000054c961f24805a60582"><td class="memItemLeft" align="right" valign="top">static <a class="el" href="classtgui_1_1Tab.html#ab84d395742e1b0f4eb576a9e0e030087">Tab::Ptr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Tab.html#ab57c053042000054c961f24805a60582">copy</a> (<a class="el" href="classtgui_1_1Tab.html#a9971b145a402f8dc201122a8454e8d3b">Tab::ConstPtr</a> tab)</td></tr>
<tr class="memdesc:ab57c053042000054c961f24805a60582"><td class="mdescLeft">&#160;</td><td class="mdescRight">Makes a copy of another tab.  <a href="#ab57c053042000054c961f24805a60582">More...</a><br /></td></tr>
<tr class="separator:ab57c053042000054c961f24805a60582"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr class="memitem:ad5ecd21216d8eed81a211329edf72c9e"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Tab.html#ad5ecd21216d8eed81a211329edf72c9e">reload</a> (const std::string &amp;primary=&quot;&quot;, const std::string &amp;secondary=&quot;&quot;, bool force=false) override</td></tr>
<tr class="memdesc:ad5ecd21216d8eed81a211329edf72c9e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Reload the widget.  <a href="#ad5ecd21216d8eed81a211329edf72c9e">More...</a><br /></td></tr>
<tr class="separator:ad5ecd21216d8eed81a211329edf72c9e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa0ed43d969e3d04e385fd0e19d79a203"><td class="memItemLeft" align="right" valign="top">virtual <a class="el" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Tab.html#aa0ed43d969e3d04e385fd0e19d79a203">clone</a> () const  override</td></tr>
<tr class="memdesc:aa0ed43d969e3d04e385fd0e19d79a203"><td class="mdescLeft">&#160;</td><td class="mdescRight">Makes a copy of the widget if you don't know its exact type.  <a href="#aa0ed43d969e3d04e385fd0e19d79a203">More...</a><br /></td></tr>
<tr class="separator:aa0ed43d969e3d04e385fd0e19d79a203"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_classtgui_1_1Widget"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classtgui_1_1Widget')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classtgui_1_1Widget.html">tgui::Widget</a></td></tr>
<tr class="memitem:a05545f21decd950ac0bfee2d9b26e9e2 inherit pro_methods_classtgui_1_1Widget"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classtgui_1_1Widget.html#a05545f21decd950ac0bfee2d9b26e9e2">attachTheme</a> (std::shared_ptr&lt; <a class="el" href="classtgui_1_1BaseTheme.html">BaseTheme</a> &gt; theme)</td></tr>
<tr class="memdesc:a05545f21decd950ac0bfee2d9b26e9e2 inherit pro_methods_classtgui_1_1Widget"><td class="mdescLeft">&#160;</td><td class="mdescRight">Attach a theme to the widget.  <a href="#a05545f21decd950ac0bfee2d9b26e9e2">More...</a><br /></td></tr>
<tr class="separator:a05545f21decd950ac0bfee2d9b26e9e2 inherit pro_methods_classtgui_1_1Widget"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p><a class="el" href="classtgui_1_1Tab.html" title="Tab widget. ">Tab</a> widget. </p>
<p>Signals:</p><ul>
<li>TabSelected (Another tab has been selected)<ul>
<li>Optional parameter sf::String: New text on the newly selected tab</li>
<li>Uses <a class="el" href="structtgui_1_1Callback.html">Callback</a> member 'text'</li>
</ul>
</li>
<li>Inherited signals from <a class="el" href="classtgui_1_1Widget.html" title="The parent class for every widget. ">Widget</a> </li>
</ul>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a76db7686dc3566c993da9a903e660bfd"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">std::size_t tgui::Tab::add </td>
          <td>(</td>
          <td class="paramtype">const sf::String &amp;&#160;</td>
          <td class="paramname"><em>text</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>select</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Adds a new tab. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">text</td><td>The text of the tab that will be drawn on top of it. </td></tr>
    <tr><td class="paramname">select</td><td>Do you want the new tab to be selected immediately?</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The index of the tab in the list.</dd></dl>
<dl class="section warning"><dt>Warning</dt><dd>The index returned by this function may no longer be correct when a tab is removed. </dd></dl>

</div>
</div>
<a class="anchor" id="ac5e1a9b17902a659f3550ae069d1e0c2"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool tgui::Tab::changeText </td>
          <td>(</td>
          <td class="paramtype">std::size_t&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const sf::String &amp;&#160;</td>
          <td class="paramname"><em>text</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Change the text of one of the tabs. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">index</td><td>The index of the tab to be changed. The first tab has index 0. </td></tr>
    <tr><td class="paramname">text</td><td>The new text of the tab that will be drawn on top of it.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>True when text was successfully changed, false when index was too high </dd></dl>

</div>
</div>
<a class="anchor" id="aa0ed43d969e3d04e385fd0e19d79a203"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classtgui_1_1Widget.html#a388912f13898735531886bc676b14f81">Widget::Ptr</a> tgui::Tab::clone </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Makes a copy of the widget if you don't know its exact type. </p>
<p>This function should only be used when you don't know the type of the widget. If you know what kind of widget you are copying, you should use the copy function.</p>
<dl class="section return"><dt>Returns</dt><dd>Copy of the widget </dd></dl>

<p>Implements <a class="el" href="classtgui_1_1Widget.html#aef5818b60938207990d1c57626b11f9d">tgui::Widget</a>.</p>

</div>
</div>
<a class="anchor" id="ab57c053042000054c961f24805a60582"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classtgui_1_1Tab.html#ab84d395742e1b0f4eb576a9e0e030087">Tab::Ptr</a> tgui::Tab::copy </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classtgui_1_1Tab.html#a9971b145a402f8dc201122a8454e8d3b">Tab::ConstPtr</a>&#160;</td>
          <td class="paramname"><em>tab</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Makes a copy of another tab. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">tab</td><td>The other tab</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The new tab </dd></dl>

</div>
</div>
<a class="anchor" id="a7ce5509b4b294c394f010ab8b282b80c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="classtgui_1_1Tab.html#ab84d395742e1b0f4eb576a9e0e030087">Tab::Ptr</a> tgui::Tab::create </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Creates a new tabs widget. </p>
<dl class="section return"><dt>Returns</dt><dd>The new tabs </dd></dl>

</div>
</div>
<a class="anchor" id="a597555cd1399cfa556986c0669801583"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float tgui::Tab::getMaximumTabWidth </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the maximum tab width of the tabs. </p>
<dl class="section return"><dt>Returns</dt><dd>Maximum tab width</dd></dl>
<p>If the text on the tab is longer than this width then it will be cropped to fit inside the tab. By default, the maximum width is 0 which means that there is no limitation. </p>

</div>
</div>
<a class="anchor" id="a0b6d427700a745d7b5a756936e1c2fd3"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::shared_ptr&lt;<a class="el" href="classtgui_1_1TabRenderer.html">TabRenderer</a>&gt; tgui::Tab::getRenderer </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the renderer, which gives access to functions that determine how the widget is displayed. </p>
<dl class="section return"><dt>Returns</dt><dd>Reference to the renderer </dd></dl>

</div>
</div>
<a class="anchor" id="afc201a2c0a1241a93b79795bc0fce713"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">sf::String tgui::Tab::getSelected </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the text that is drawn on the currently selected tab. </p>
<dl class="section return"><dt>Returns</dt><dd>The text on the tab. When no tab is selected then this function returns an empty string. </dd></dl>

</div>
</div>
<a class="anchor" id="a60a2c2051801ddceb003d786ea22661c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int tgui::Tab::getSelectedIndex </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the index of the currently selected tab. </p>
<dl class="section return"><dt>Returns</dt><dd>The index of the tab. When no tab is selected then this function returns -1.</dd></dl>
<dl class="section warning"><dt>Warning</dt><dd>The index returned by this function may no longer be correct when a tab is removed. </dd></dl>

</div>
</div>
<a class="anchor" id="af84d02e59ec7864c2bc3103dbc0e463f"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual sf::Vector2f tgui::Tab::getSize </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the size of the tabs. </p>
<dl class="section return"><dt>Returns</dt><dd>Size of the tabs </dd></dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1Transformable.html#ac57d81556fbdbcf0d206b60ec835f3f4">tgui::Transformable</a>.</p>

</div>
</div>
<a class="anchor" id="a30952836afebeb963af9c4cc0cbb9d67"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">float tgui::Tab::getTabHeight </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the height of the tabs. </p>
<dl class="section return"><dt>Returns</dt><dd><a class="el" href="classtgui_1_1Tab.html" title="Tab widget. ">Tab</a> height </dd></dl>

</div>
</div>
<a class="anchor" id="a5f08cf18df3584bc0927e39ed0498724"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">std::size_t tgui::Tab::getTabsCount </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the amount of tabs. </p>
<dl class="section return"><dt>Returns</dt><dd>Number of tabs </dd></dl>

</div>
</div>
<a class="anchor" id="a0e12f6d5a9bdebd654061f89c1512bcd"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">sf::String tgui::Tab::getText </td>
          <td>(</td>
          <td class="paramtype">std::size_t&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the text of one of the tabs. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">index</td><td>The index of the tab. The first tab has index 0.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The text on the tab or an empty string when index was too high </dd></dl>

</div>
</div>
<a class="anchor" id="affb8c7ab007f3b322e72a7492c0c7d0c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int tgui::Tab::getTextSize </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Returns the character size of the text. </p>
<dl class="section return"><dt>Returns</dt><dd>The text size. </dd></dl>

</div>
</div>
<a class="anchor" id="a3d178cdc8b07d9dfb05411773de21c08"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual sf::Vector2f tgui::Tab::getWidgetOffset </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the distance between the position where the widget is drawn and where the widget is placed. </p>
<p>This is basically the width and height of the optional borders drawn around widgets.</p>
<dl class="section return"><dt>Returns</dt><dd>Offset of the widget </dd></dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1Widget.html#a569db174bec35957e0150f14b25a6423">tgui::Widget</a>.</p>

</div>
</div>
<a class="anchor" id="a080aba34cae9fe00b2cc484e812090ce"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::Tab::insert </td>
          <td>(</td>
          <td class="paramtype">std::size_t&#160;</td>
          <td class="paramname"><em>index</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const sf::String &amp;&#160;</td>
          <td class="paramname"><em>text</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>select</em> = <code>true</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Insert a new tab somewhere between the other tabs. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">index</td><td>The index where the tab gets inserted. 0 means before the first tab, 1 means behind the first tab. </td></tr>
    <tr><td class="paramname">text</td><td>The text of the tab that will be drawn on top of it. </td></tr>
    <tr><td class="paramname">select</td><td>Do you want the new tab to be selected immediately? </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ad5ecd21216d8eed81a211329edf72c9e"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::Tab::reload </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>primary</em> = <code>&quot;&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>secondary</em> = <code>&quot;&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>force</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reload the widget. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">primary</td><td>Primary parameter for the loader </td></tr>
    <tr><td class="paramname">secondary</td><td>Secondary parameter for the loader </td></tr>
    <tr><td class="paramname">force</td><td>Try to only change the looks of the widget and not alter the widget itself when false</td></tr>
  </table>
  </dd>
</dl>
<dl class="exception"><dt>Exceptions</dt><dd>
  <table class="exception">
    <tr><td class="paramname"><a class="el" href="classtgui_1_1Exception.html">Exception</a></td><td>when the connected theme could not create the widget</td></tr>
  </table>
  </dd>
</dl>
<p>When primary is an empty string the built-in white theme will be used. </p>

<p>Reimplemented from <a class="el" href="classtgui_1_1Widget.html#a60f67dd2a04f761a47207e42a8f7910b">tgui::Widget</a>.</p>

</div>
</div>
<a class="anchor" id="a62984df9a422ecfffde3936341e6fd5e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::Tab::remove </td>
          <td>(</td>
          <td class="paramtype">const sf::String &amp;&#160;</td>
          <td class="paramname"><em>text</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Removes a tab with a given text. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">text</td><td>The text on the tab to remove.</td></tr>
  </table>
  </dd>
</dl>
<p>When multiple tabs have the same text, only the first will be removed.</p>
<dl class="section see"><dt>See also</dt><dd>remove(unsigned int) </dd></dl>

</div>
</div>
<a class="anchor" id="a86e01a09bb1eaf6cf50fe32c6ad2067a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::Tab::remove </td>
          <td>(</td>
          <td class="paramtype">std::size_t&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Removes a tab with a given index. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">index</td><td>The index of the tab to remove.</td></tr>
  </table>
  </dd>
</dl>
<p>When the index is too high then nothing will happen.</p>
<dl class="section see"><dt>See also</dt><dd>remove(sf::String) </dd></dl>

</div>
</div>
<a class="anchor" id="a33ce9eaaa8ffe9cb4441902d82c6c9a9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::Tab::select </td>
          <td>(</td>
          <td class="paramtype">const sf::String &amp;&#160;</td>
          <td class="paramname"><em>text</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Selects the tab with a given text. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">text</td><td>The text of the tab to select.</td></tr>
  </table>
  </dd>
</dl>
<p>When the text doen't match any tab then nothing will be changed. If there are multiple tabs with the same text then the first one will be selected.</p>
<dl class="section see"><dt>See also</dt><dd>select(int) </dd></dl>

</div>
</div>
<a class="anchor" id="a7db6d7ed784fa2c151c99d12e80c2a2c"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::Tab::select </td>
          <td>(</td>
          <td class="paramtype">std::size_t&#160;</td>
          <td class="paramname"><em>index</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Selects the tab with a given index. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">index</td><td>The index of the tab to select.</td></tr>
  </table>
  </dd>
</dl>
<p>When the index is too high then nothing will happen.</p>
<dl class="section see"><dt>See also</dt><dd>select(sf::String) </dd></dl>

</div>
</div>
<a class="anchor" id="a20d0a37af4d2af70bf1b2bcd93178ead"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::Tab::setFont </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Font.html">Font</a> &amp;&#160;</td>
          <td class="paramname"><em>font</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Changes the font of the text in the widget. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">font</td><td>The new font.</td></tr>
  </table>
  </dd>
</dl>
<p>When you don't call this function then the font from the parent widget will be used. </p>

<p>Reimplemented from <a class="el" href="classtgui_1_1Widget.html#a0b814d5ba9c02a9448fa0d0810bcfeba">tgui::Widget</a>.</p>

</div>
</div>
<a class="anchor" id="a30d0620c1398cbaa96dd177328260f15"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::Tab::setMaximumTabWidth </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>maximumWidth</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the maximum tab width of the tabs. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">maximumWidth</td><td>Maximum width of a single tab</td></tr>
  </table>
  </dd>
</dl>
<p>If the text on the tab is longer than this width then it will be cropped to fit inside the tab. By default, the maximum width is 0 which means that there is no limitation. </p>

</div>
</div>
<a class="anchor" id="a79f50d4469aadb318e3e156ccaef087c"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::Tab::setOpacity </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>opacity</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Changes the opacity of the widget. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">opacity</td><td>The opacity of the widget. 0 means completely transparent, while 1 (default) means fully opaque. </td></tr>
  </table>
  </dd>
</dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1Widget.html#abc86b091f871010533312fe77cbc2f78">tgui::Widget</a>.</p>

</div>
</div>
<a class="anchor" id="af51601a1692dce56e32490db53249427"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::Tab::setPosition </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a> &amp;&#160;</td>
          <td class="paramname"><em>position</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Set the position of the widget. </p>
<p>This function completely overwrites the previous position. See the move function to apply an offset based on the previous position instead. The default position of a transformable widget is (0, 0).</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">position</td><td>New position</td></tr>
  </table>
  </dd>
</dl>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="classtgui_1_1Transformable.html#aff5580e6c49ade969ba71ea1c1330d2b" title="Move the widget by a given offset. ">move</a>, <a class="el" href="classtgui_1_1Transformable.html#a2429a2ff2f3f83b702f20b4a8a0257dc" title="get the position of the widget ">getPosition</a> </dd></dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1Widget.html#a299706f20b12cbe65422c6e53493e12d">tgui::Widget</a>.</p>

</div>
</div>
<a class="anchor" id="af18ffe805d49b6bda67268e4343f0bd4"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void tgui::Tab::setSize </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classtgui_1_1Layout2d.html">Layout2d</a> &amp;&#160;</td>
          <td class="paramname"><em>size</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>This function currently does nothing. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">size</td><td>Currently ignored</td></tr>
  </table>
  </dd>
</dl>
<p>It is not yet possible to change the size directly.</p>
<dl class="section see"><dt>See also</dt><dd><a class="el" href="classtgui_1_1Tab.html#a86006de1eac88157d2f6dad3e35ad939" title="Changes the height of the tabs. ">setTabHeight</a> </dd>
<dd>
setDistanceToSide </dd>
<dd>
<a class="el" href="classtgui_1_1Tab.html#a30d0620c1398cbaa96dd177328260f15" title="Changes the maximum tab width of the tabs. ">setMaximumTabWidth</a> </dd></dl>

<p>Reimplemented from <a class="el" href="classtgui_1_1Widget.html#aa780b3b9e657ea6b3acecd2045593cca">tgui::Widget</a>.</p>

</div>
</div>
<a class="anchor" id="a86006de1eac88157d2f6dad3e35ad939"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::Tab::setTabHeight </td>
          <td>(</td>
          <td class="paramtype">float&#160;</td>
          <td class="paramname"><em>height</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the height of the tabs. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">height</td><td>Height of the tabs</td></tr>
  </table>
  </dd>
</dl>
<p>By default, it is the height of the tab image that is loaded with the load function. </p>

</div>
</div>
<a class="anchor" id="a8062b3c62d96a190bc3e88a25e65412b"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void tgui::Tab::setTextSize </td>
          <td>(</td>
          <td class="paramtype">unsigned int&#160;</td>
          <td class="paramname"><em>size</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Changes the character size of the text. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">size</td><td>The new size of the text. If the size is 0 (default) then the text will be scaled to fit in the tab. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>include/TGUI/Widgets/<a class="el" href="Tab_8hpp_source.html">Tab.hpp</a></li>
</ul>
</div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:45 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
